Banking
List Banks By Currency
Return the supported banking institutions for the requested settlement currency.
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Path Parameters
currency*string
Settlement currency to filter the supported bank list
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/banking/banks/NGN"{
"requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
"requestTimestamp": "2025-09-04 11:49:40",
"message": "Banks fetched successfully.",
"statusCode": 200,
"data": [
{
"bankName": "Access Bank Plc",
"bankCode": "044"
}
]
}{
"requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
"requestTimestamp": "2025-09-04 11:49:40",
"message": "Currency not supported",
"statusCode": 400
}{
"requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
"requestTimestamp": "2025-09-04 11:49:40",
"message": "Invalid API key",
"statusCode": 401
}{
"requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
"requestTimestamp": "2025-09-04 11:49:40",
"message": "Incorrect PIN or access denied.",
"statusCode": 403
}{
"requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
"requestTimestamp": "2025-09-04 11:49:40",
"message": "An error occurred while processing your request.",
"statusCode": 500
}{
"requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
"requestTimestamp": "2025-09-04 11:49:40",
"message": "Banking service is temporarily unavailable.",
"statusCode": 503
}How is this guide?